## Apache Zeta Components Manual :: File Source for filter_definition.php

## Source for file filter_definition.php

Documentation is available at filter_definition.php

1. <?php
2. /**
3. * File containing the ezcMvcFilterDefinition class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * This class implements a filter definition to wrap around the filtername and its
30. * options.
31. *
32. * @package MvcTools
33. * @version //autogentag//
34. */
35. class ezcMvcFilterDefinition extends ezcBaseStruct
36. {
37. /**
38. * Contains the class name of the filter.
39. * @var string
40. */
41. public $className ;
43. /**
44. * Contains an array of filter-specific options.
45. * @var array
46. */
47. public $options ;
49. /**
50. * Constructs a new ezcMvcFilterDefinition.
51. *
52. * @param string $className
53. * @param array $options
54. */
55. public function __construct ( $className = '', $options = array() )
56. {
57. $this-> className = $className;
58. $this-> options = $options;
59. }
61. /**
62. * Returns a new instance of this class with the data specified by $array.
63. *
64. * $array contains all the data members of this class in the form:
65. * array('member_name'=>value).
66. *
67. * __set_state makes this class exportable with var_export.
68. * var_export() generates code, that calls this method when it
69. * is parsed with PHP.
70. *
71. * @param array(string=>mixed) $array
72. * @return ezcMvcFilterDefinition
73. */
74. static public function __set_state ( array $array )
75. {
76. return new ezcMvcFilterDefinition( $array['className'],
77. $array['options'] );
78. }
79. }
80. ?>

Documentation generated by phpDocumentor 1.4.3